%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname cm_rgb

Name:           python3-cm_rgb
Version:        0.3.5
Release:        1%{?dist}
Summary:        Utility to control RGB on AMD Wraith Prism
License:        MIT
URL:            https://github.com/gfduszynski/cm-rgb
Source0:        https://files.pythonhosted.org/packages/61/2d/7e002b4d24b6d857a85fe47dc769d9a1b8113119411c8c604f2bf39f96c5/cm_rgb-0.3.5.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-gobject
BuildRequires:  python%{python3_pkgversion}-psutil
BuildRequires:  python%{python3_pkgversion}-click
BuildRequires:  python%{python3_pkgversion}-hidapi
%{?python_enable_dependency_generator}

%description
Utility to control RGB on AMD Wraith Prism


%prep
%autosetup -n %{srcname}-%{version}
chmod 644 LICENSE README.md

%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%check
# use what your upstream is using
%{__python3} setup.py test


%files
%license LICENSE
%doc README.md
# For noarch packages: sitelib
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{_bindir}/*

%changelog
* Sun Jan 24 2021 Dennis Gilmore - 0.3.4-1
- initial packaging
